---
title: Update
url: https://www.tines.com/docs/api/tags/update/
updated: 2026-04-24T16:21:25+00:00
description: Update a tag.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Tags](https://www.tines.com/llm/docs/api/tags.md)*

# Update

*[View on tines.com](https://www.tines.com/docs/api/tags/update/)*

## Description

Update a tag.

## Request

HTTP Method: **PUT**

| Path Parameter | Description                  |
| -------------- | ---------------------------- |
| tag_id         | The ID of the tag to update. |

| Body Parameter | Description                                                                                                                                 |
| -------------- | ------------------------------------------------------------------------------------------------------------------------------------------- |
| name           | **Optional** Updated tag name.                                                                                                              |
| color          | **Optional** Updated tag color. Use one of `purple`, `blue`, `gold`, `green`, `magenta`, `red`, `orange`, `mint`, or a `#RRGGBB` hex value. |

### Sample request

```bash
curl -X PUT \
  https://<tenant-domain>/api/v1/tags/<<tag_id>> \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>' \
  -d '{
        "name": "priority-critical",
        "color": "#9B61FF"
      }'
```

## Response

A successful request will return a JSON object describing the updated tag.

### Field description

| Parameter  | Description                                                                                      |
| ---------- | ------------------------------------------------------------------------------------------------ |
| id         | Tag ID.                                                                                          |
| name       | Tag name.                                                                                        |
| color      | Tag color in hex format (for example, `#9B61FF`).                                                |
| teams      | The teams the tag belongs to. Tags created after February 2025 can only belong to a single team. |
| created_at | ISO 8601 timestamp describing when the tag was created.                                          |
| updated_at | ISO 8601 timestamp describing when the tag was last updated.                                     |

### Sample response

```json
{
  "id": 17,
  "name": "priority-critical",
  "color": "#9B61FF",
  "teams": [
    {
      "id": 276,
      "name": "Test team 1"
    }
  ],
  "created_at": "2026-04-10T09:15:42.128Z",
  "updated_at": "2026-04-10T11:04:03.772Z"
}
```
